package org.project.entity.players;

import org.project.entity.Entity;

import java.util.ArrayList;

public interface ICombatActions {

    void lightAttack(Entity target);

    void heavyAttack(Entity target);

    void defend();

    void heal();

    void specialAbility(Entity target);
}